<?php
function isPdfValid($filePath)
{
    // Cek apakah file ada
    if (!file_exists($filePath)) {
        return false; // File tidak ditemukan
    }

    // Coba membuka file PDF
    $pdf = @file_get_contents($filePath);

    // Cek apakah file PDF dapat dibaca
    if ($pdf === false) {
        return false; // Gagal memuat dokumen PDF
    }

    // Cek header file untuk memastikan itu adalah PDF
    if (substr($pdf, 0, 4) !== '%PDF') {
        return false; // Format tidak valid
    }

    return true; // Dokumen PDF dapat dimuat
}
$rootPath = $_SERVER['DOCUMENT_ROOT'];
$file = file($rootPath . "/storage/awb/awb-241117FDTP1MG7.pdf");
//check file corupt


if (!isPdfValid($file)) {
    echo "File corrupted";
} else {
    echo "File is valid";
}